{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  options.me = {
    memtest.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install memtest.";
    };
  };

  config = lib.mkIf config.me.memtest.enable (
    lib.mkMerge [
      {
        environment.systemPackages = with pkgs; [
          memtest86plus
        ];
      }
      # (lib.mkIf (config.me.buildingPortable) {
      #   boot.loader.systemd-boot.memtest86.enable = true;
      #   boot.loader.grub.memtest86.enable = true;
      # })
    ]
  );
}
